const fs = require('fs');
const { getProjectPath } = require('./utils');

let pkgInfo = {
  name: 'ui',
  version: '1.0.0'
};
try {
  const pkgPath = getProjectPath('/package.json');
  const pkgStr = fs.readFileSync(pkgPath);
  pkgInfo = JSON.parse(pkgStr);
} catch (e) {
  // eslint-disable-next-line no-console
  console.warn('The current project does not have a package.json file or content error!!!');
}

const configPath = getProjectPath('/config/app.config.js');

const config = require(configPath);

module.exports = {
  projectName: pkgInfo.name,
  projectVersion: pkgInfo.version,
  startDefaultPort: 3030,
  startEntry: '/src/index.tsx',
  ...config
};
